#include "pch.h"
#include "CBaseGloabl.h"


CBaseGloabl::CBaseGloabl()
{

	 
	m_Ref = 0;

 
}

CBaseGloabl::~CBaseGloabl(void)
{
 
}

IBaseCurl* CBaseGloabl::GetBaseCurlInstance()
{
	return NULL;
}

 
INT CBaseGloabl::AddRef()
{
	return ++m_Ref;
}

INT CBaseGloabl::Release()
{
	--m_Ref;

	if (m_Ref == 0)
	{
		delete this;
		return 0;
	}

	return m_Ref;
}
